package com.xmomen.module.base.model;

import java.util.List;

public class CompanyModel {

    // 单位ID
    private Integer id;

    // 单位编号
    private String companyCode;

    // 单位名称
    private String companyName;

    // 单位地址
    private String companyAddress;

    // 单位联系人
    private String companyLeader;

    // 联系人电话
    private String companyLeaderTel;

   // 单位客户经理列表
   List<CompanyCustomerManager> companyCustomerManagers;
    
	// 获取单位ID
	public Integer getId() {
		return id;
	}

	// 设置单位ID
	public void setId(Integer id) {
		this.id = id;
	}

	// 获取单位编号
	public String getCompanyCode() {
		return companyCode;
	}

	// 设置单位编号
	public void setCompanyCode(String companyCode) {
		this.companyCode = companyCode;
	}

	// 获取单位名称
	public String getCompanyName() {
		return companyName;
	}

	// 设置单位名称
	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	// 获取单位地址
	public String getCompanyAddress() {
		return companyAddress;
	}

	// 设置单位地址
	public void setCompanyAddress(String companyAddress) {
		this.companyAddress = companyAddress;
	}

	// 获取单位联系人
	public String getCompanyLeader() {
		return companyLeader;
	}

	// 设置单位联系人
	public void setCompanyLeader(String companyLeader) {
		this.companyLeader = companyLeader;
	}

	// 获取联系人电话
	public String getCompanyLeaderTel() {
		return companyLeaderTel;
	}

	// 设置联系人电话
	public void setCompanyLeaderTel(String companyLeaderTel) {
		this.companyLeaderTel = companyLeaderTel;
	}

	// 获取单位客户经理列表
	public List<CompanyCustomerManager> getCompanyCustomerManagers() {
		return companyCustomerManagers;
	}

	// 设置单位客户经理列表
	public void setCompanyCustomerManagers(
			List<CompanyCustomerManager> companyCustomerManagers) {
		this.companyCustomerManagers = companyCustomerManagers;
	}
}
